[P069] Patsnap Standard Patent Number Search

post
https://connect.patsnap.com/search/patent/patent-search-pn
Try in Sandbox

Retrieve the Patsnap Patent Number by entering the patent application number. This API supports inputting a numeric number and specifying the receiving jurisdiction to obtain the Patsnap Standard Patent Number. The returned information includes: Current Applicant, Original Applicant, Inventor, Application Date, Publication Date. Country code refer to https://analytics.zhihuiya.com/status.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
pn
stringUS11205304B2
Patent number
apno
stringUS16/123456
Application number
authority
array[ "US", "CN", "EP" ]
Authorities
offset
integer<int32>-
Offset, default is 0
limit
integer<int32>10
Result limit, default is 10, maximum is 1000

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
results
arrayPlease check the form: PatentBaseV2Response
result
pn
stringUS11205304B2
patent number
apdt
integer<int32>20211108
Application Date
apno
stringUS17/521392
Application Number
pbdt
integer<int32>20230815
Publication Date
title
stringTechniques for using multiple symbols to provide feedback for a sidelink transmission
Title
inventor
stringELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH
Inventor
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
current_assignee
stringQUALCOMM INCORPORATED
Current Assignee
original_assignee
stringQUALCOMM INCORPORATED
Original Assignee (Applicant)
result_count
integer<int32>10
Received result count
total_search_result_count
integer<int64>1000
Total search result count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "results": [
      {
        "pn": "US11205304B2",
        "apdt": 20211108,
        "apno": "US17/521392",
        "pbdt": 20230815,
        "title": "Techniques for using multiple symbols to provide feedback for a sidelink transmission",
        "inventor": "ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH",
        "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
        "current_assignee": "QUALCOMM INCORPORATED",
        "original_assignee": "QUALCOMM INCORPORATED"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 1000
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms